Summary: A Z80 cross compiler
Name: z88dk
Version: 1.6
Release: 10%{?dist}
License: Artistic
Group: Development/Tools
Source: http://dl.sf.net/z88dk/z88dk-src-%{version}.tgz
Patch: z88make.patch
URL: http://z88dk.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch: x86_64 ia64

%description
z88dk is a Z80 cross compiler capable of generating binary files for a variety
of Z80 based machines (such as the ZX81, Spectrum and Jupiter Ace).

%prep
%setup -q -n z88dk
%patch0 -p0 -b Makefile
%{_bindir}/find . -depth -name CVS -type d -exec %{__rm} -rf {} \;
%{__mkdir} bin
# Separate manpages from other docs and fix their permissions
%{__mv} doc/netman .
%{__chmod} 644 netman/man3z/*
# Put files in %{_datadir}/z88dk rather than /usr/lib/z88dk
%{__sed} -i -e 's@[$][(]prefix[)]/lib/z88dk@$(datadir)/z88dk@g' \
	    -e 's@[$][{]prefix[}][$]/lib/z88dk@%{_datadir}/z88dk@g' Makefile
# Fix files with wrong line endings and bad permissions
/usr/bin/find doc examples src -type f -exec %{__sed} -i -e 's/\r*$//' {} \;
/usr/bin/find doc examples src -type f -exec %{__chmod} 644 {} \;

%build
export Z80_OZFILES=%{_builddir}/z88dk/lib/
export ZCCCFG=%{_builddir}/z88dk/lib/config/
export PATH=%{_builddir}/z88dk/bin:$PATH
export CC=gcc
export CFLAGS="%{optflags}"
# Note: do not use %{?_smp_mflags} with make because the Makefiles don't support parallel builds
%{__make} clean
%{__make} -e
%{__make} -e libs

%install
export Z80_OZFILES=%{_datadir}/z88dk-%{version}/lib/
export ZCCCFG=%{_datadir}/z88dk-%{version}/lib/config/
%{__rm} -rf %{buildroot}
%{makeinstall} install-libs
%{__mkdir_p} %{buildroot}%{_mandir}/man3z
%{__cp} -p netman/man3z/* %{buildroot}%{_mandir}/man3z

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc doc/*.html doc/*.gif doc/copt.man
%doc doc/compile.txt doc/cpc.txt doc/embedded.txt doc/error.txt doc/farmods.txt
%doc doc/fileio.txt doc/lib3d.txt doc/options.txt doc/packages.txt
%doc doc/platforms.txt doc/retarget.txt doc/stdio.txt doc/ti.txt doc/z80asm.txt
%doc doc/zxscrdrv.txt
%doc EXTENSIONS LICENSE www
# Examples might be worth putting in subpackage
%doc examples
%{_bindir}/appmake
%{_bindir}/copt
%{_bindir}/sccz80
%{_bindir}/z*
%{_datadir}/z88dk/
%{_mandir}/man3z/

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.6-10
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.6-9
- rebuild
- minor spec file changes

* Thu Mar 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.6-8
- Added ExcludeArch for ia64

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.6-7
- Add ExcludeArch for x86_64 machines

* Mon Oct 17 2005 Paul Howarth <paul@city-fan.org> - 1.6-6
- Use full URL for upstream tarball location
- Don't use macros in build-time command paths (see #170506 for discussion)
- Tarball expands to directory z88dk, not z88dk-%%{version}

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.6-5
- Modified the spec file to fix the rpmlint problems

* Wed Sep 14 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.6-4
- Add diff for makefile and patch aspect to spec
- rebuilt

* Wed Sep 14 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.6-3
- Fixed the spec file as it was constantly looking to /var/tmp!
- Fixed the source to point to /usr/share/z88dk for configs
- Removed `pwd` as it was causing problems

* Tue Sep 13 2005 Paul Howarth <paul@city-fan.org> - 1.6-2
- Use macros consistently
- Clean out buildroot in %%install rather than %%prep
- Include additional docs
- Tidy summary and description
- Honor %%{optflags}
- Remove CVS cruft
- Separate manpages from rest of docs
- Put target libraries, include files etc. under %%{_datadir}, not /usr/lib
- No scriptlets needed
- Fix file permissions and line endings
- Remove vendor and packager tags
- Use "Artistic" in license tag

* Tue Sep 13 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk>
- Fixes to spec file

* Mon Sep 12 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk>
- initial import and rpm builds
